### Class

# WPEPlatform ScreenSyncObserver

#### Description [src]

    abstract class WPEPlatform.ScreenSyncObserver : GObject.Object
    {
      WPEScreenSyncObserverPrivate* priv
    }

A screen sync observer.

#### Ancestors

- GObject

#### Instance methods

###### wpe_screen_sync_observer_is_active

Return whether `observer` is active.

###### wpe_screen_sync_observer_set_callback

Add a `sync_func` to be called from a secondary thread when the screen sync is triggered. The callback must be set only once and before calling wpe_screen_sync_start().

###### wpe_screen_sync_observer_start

Start the `observer`.

###### wpe_screen_sync_observer_stop

Stop the `observer`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformScreenSyncObserverClass {
      GObjectClass parent_class;
      void (* start) (
        WPEScreenSyncObserver* observer
      );
      void (* stop) (
        WPEScreenSyncObserver* observer
      );
      void (* sync) (
        WPEScreenSyncObserver* observer
      );
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`start: void (* start) ( WPEScreenSyncObserver* observer )`

  No description available.

`stop: void (* stop) ( WPEScreenSyncObserver* observer )`

  No description available.

`sync: void (* sync) ( WPEScreenSyncObserver* observer )`

  No description available.

`padding: gpointer`

  No description available.

#### Virtual methods

###### WPEPlatform.ScreenSyncObserverClass.start

Start the `observer`.

###### WPEPlatform.ScreenSyncObserverClass.stop

Stop the `observer`.

###### WPEPlatform.ScreenSyncObserverClass.sync

No description available.